#
# spec file for package perl-List-MoreUtils
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-List-MoreUtils
Version:        0.430
Release:        1.19
%define cpan_name List-MoreUtils
Summary:        Provide the stuff missing in List::Util
License:        Apache-2.0
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RE/REHSACK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Exporter::Tiny) >= 0.038
BuildRequires:  perl(List::MoreUtils::XS) >= 0.430
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Exporter::Tiny) >= 0.038
Requires:       perl(List::MoreUtils::XS) >= 0.430
%{perl_requires}

%description
*List::MoreUtils* provides some trivial but commonly needed functionality
on lists which is not going to go into List::Util.

All of the below functions are implementable in only a couple of lines of
Perl code. Using the functions from this module however should give
slightly better performance as everything is implemented in C. The
pure-Perl implementation of these functions only serves as a fallback in
case the C portions of this module couldn't be compiled on this machine.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes GPL-1 README.md
%license ARTISTIC-1.0 LICENSE

%changelog
* Thu Oct 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.430
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.430	2020-10-21
  - bump List::MoreUtils::XS requirement to 0.430
  - release 0.429_001 without any further changes
  0.429_001	2020-10-05
  - fix failing installation in parallel make (Issue#38)
  - infrastructure improvements and tooling updates,
    lot's of author tests with according fixes added
  - added slide and slideatatime functions wished by SCHWERN
  - documentation fixes (PR#21, PR#33, PR#34, RT#126029, RT#132043, RT#132940)
* Tue Dec 12 2017 coolo@suse.com
- updated to 0.428
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.428	2017-12-11
  - release 0.427_001 without further changes
  0.427_001	2017-11-06
  - fix Issue#22 (Upgrading from LMU 0.416 to split XS/PP version will fail)
    reported by Graham Knop (haarg), this time hopefully the right way,
    repeated in RT#123310.
  - fix Issue#29 (pairwise() PP implementation add tail undefs if arrays
    sizes differs) reported by 0x62ash
* Fri Oct 13 2017 coolo@suse.com
- updated to 0.426
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.426	2017-10-12
  - release 0.425_002 without further changes
  0.425_002	2017-10-05
  - re-introduce Config::AutoConf
    (https://rt.cpan.org/Ticket/Display.html?id=122875#txn-1745984)
    for final satisfying RT#122875
  - bump required version of List::MoreUtils::XS to 0.426, if XS is available
  0.425_001	2017-09-27
  - fix broken arrayify prototype
  - revert removal of old List::MoreUtils::XS parts
* Mon Sep 18 2017 coolo@suse.com
- updated to 0.425
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.425	2017-09-06
  - release 0.424_001 as 0.425 with XS is META.* after 136:0 PASS:FAIL
    on CPAN Tester Matrix
  0.424_001	2017-09-05
  - Makefile.PL: modify PREREQ_PM instead of recommend dynamically
  0.423	2017-08-22
  - sync version with List::MoreUtils::XS
  - add examples for binsert/bremove (LMU::XS issue #1, Thanks to shawnlaffan)
  - update tests to latest List::MoreUtils::XS
  - recommend List::MoreUtils::XS 0.423
  0.420_001	2017-08-15
  - add some new functions:
  * qsort (XS only)
  * binsert
  * bremove
  * listcmp
  * arrayify (RT#17230)
  * samples (RT#77562)
  * minmaxstr (RT#106401)
  * lower_bound
  * upper_bound
  * equal_range
  * frequencies
  * occurrences
  * mode (RT#91991)
  * zip6 (RT#42921)
  * reduce_0
  * reduce_1
  * reduce_u
  - improve tests
  - make List::MoreUtils::XS independent from List::MoreUtils
    Note that List::MoreUtils::XS doesn't guarantee API stability - this
    feature is only provided through List::MoreUtils as frontend.
  - improve Makefile.PL regarding some build artifacts
* Fri Apr  7 2017 coolo@suse.com
- updated to 0.419
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.419 2017-04-06
  - Fix RT#120799: Makefile.PL fails due to unescaped paths interpolated
    in regex pattern (thanks, A. Sinan Unur)
* Thu Mar 30 2017 coolo@suse.com
- updated to 0.418
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.418 2017-03-29
  - Clarify license conditions
  - fix Changes version/date of 0.417_001
  0.417_001 2017-03-21
  - Divorce List::MoreUtils and List::MoreUtils::XS
  - Change license to Apache 2.0 to avoid code stealing without credits
  - Don't support Perl 5.6 out of the box anymore
  - fix RT#120235 - uniq examples are incorrect
  - remove things which will be never done from TODO list as suggested
    by Mark Aufflick in PR#18
  - Apply patch from Yanick Champoux to avoid spelling checker complains
* Sat Oct  8 2016 coolo@suse.com
- updated to 0.416
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.416	2016-07-06
  - Change the way how the XS part is loaded as a result of RT#115808
  - Fix some spelling errors (fix RT#115807), thanks Salvatore Bonaccorso
  - Requires XSLoader 0.22
* Thu May  5 2016 coolo@suse.com
- updated to 0.415
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.415	2016-05-01
  - Release 0.414_001 as 0.415 without further changes
  0.414_001 2016-04-13
  - fix RT#75727 - after's XS implementation call XSRETURN(-1) when it
    doesn't find an element (2nd patch provided by Reini Urban,
    regression test provided by Tony Cook)
  - fix RT#113117 - XS's minmax() sometimes return undef (perl >= 5.20),
    thanks PERLANCAR and SREZIC
  - explicit test for thesis in RT#110998 - XS implementation of pairwise
    fails with memory allocation error when there are more return values
    than in original lists -- thesis is proven wrong
  - efficiency improvements by bulk88
  - improve some tests to get clearer reports
  - distinguish between "Makefile.PL find's a .git directory" and
    "Makefile.PL runs in maintainer mode"
* Sun Jun 14 2015 coolo@suse.com
- updated to 0.413
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.413	2015-06-10
  - Fix compiling in c++ mode (depreciated, but some people seem to
    require it). Solves RT#104690
* Wed May 20 2015 coolo@suse.com
- updated to 0.412
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
  0.412	2015-05-19
  - release 0.411_001 without further changes
  0.411_001	2015-05-11
  - move generation of test endpoints to author stage as requested per issue/#9
  - add a rough guide for contributors
  - fix rt#103251 to avoid removing bundled stuff by accident
  - Fix compilation errors under cl (Thanks to jddurand)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.410
  see /usr/share/doc/packages/perl-List-MoreUtils/Changes
* Mon Dec 19 2011 coolo@suse.de
- update to 0.33:
  - Updated can_xs to fix a bug in it
* Sun May 22 2011 pascal.bleser@opensuse.org
- update to 0.32:
  * more accurate detection of XS support
* Fri Apr  1 2011 coolo@novell.com
- shortened description
* Thu Mar 31 2011 coolo@novell.com
- update to 0.30, see Changes for details (a lot)
  Mar 17 08:24:00 UTC 2011 - cfarrell@novell.com
- license update: GPL+ or Artistic
  See README and MoreUtils.pm - "same terms as Perl" expands to GPL+ or Artistic
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Fri Jun 26 2009 chris@computersalat.de
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o added norootforbuild
* Mon Aug 20 2007 mrueckert@suse.de
- initial package
